isutf8(1)

NAME
isutf8 - check whether files are valid UTF-8

SYNOPSIS
isutf8
[-hq] [--help] [--quiet] [file...]

DESCRIPTION
isutf8 checks whether files are syntactically valid UTF-8. Input is either files named on the command line, or the standard input. Notices about files with invalid UTF-8 are printed to standard output.

OPTIONS

\FC-h\F[], \FC--help\F[]
    Print out a help summary.

\FC-q\F[], \FC--quiet\F[]
    Don't print messages telling which files are invalid UTF-8, merely indicate it with the exit status.

EXIT STATUS
If the file is valid UTF-8, the exit status is zero. If the file is not valid UTF-8, or there is some error, the exit status is non-zero.

AUTHOR
Lars Wirzenius

SEE ALSO
utf8(7)